# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%define debug_package %{nil}

Name: pamixer
Version: 1.4
Release: 1%{?dist}
Summary: Pulseaudio command line mixer

License: GPL3
URL: https://github.com/cdemoulins/pamixer
Source0: https://github.com/cdemoulins/pamixer/archive/%{version}.tar.gz

BuildRequires: gcc-c++ pulseaudio-libs-devel boost-devel
#Requires:

%description
pamixer is like amixer but for pulseaudio. It can control the volume levels of the sinks.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/usr/bin
PREFIX=%{buildroot}/usr %make_install

%files
%doc README.rst
%license COPYING
%{_bindir}/pamixer

%changelog
* Mon Mar 22 2021 Pierguido Lambri <plambri@redat.com> - 1.4-1
- Rebuild for Fedora 34

